/* To learn more about this file see: https://angular.io/config/tsconfig. */
{
    "compileOnSave": false,
    "compilerOptions": {
      "baseUrl": "",
      "outDir": "dist",
      "downlevelIteration": true,
      "declaration": false,
      "experimentalDecorators": true,
      "allowSyntheticDefaultImports": true,
      "strict": true,
      "lib": [
        "ES2022",
        "dom"
      ],
      "skipLibCheck": true,
      "module": "ES2022",
      "importHelpers": true,
      "moduleResolution": "node",
      "sourceMap": true,
      "resolveJsonModule": true,
      "target": "ES2022",
      "paths": {
        "crypto": [
          "./node_modules/crypto-browserify"
        ],
        "stream": [
          "./node_modules/stream-browserify"
        ],
        "assert": [
          "./node_modules/assert"
        ],
        "http": [
          "./node_modules/stream-http"
        ],
        "https": [
          "./node_modules/https-browserify"
        ],
        "os": [
          "./node_modules/os-browserify"
        ]
      },
      "useDefineForClassFields": false
    },
    "angularCompilerOptions": {
      "enableI18nLegacyMessageIdFormat": false,
      "strictInjectionParameters": true,
      "strictInputAccessModifiers": true,
      "strictTemplates": true,
    },
    "exclude": [
      "cypress/**/*.ts",
      "cypress.config.ts"
    ]
}
